Last Comment Bug 767672 - Enable smooth scrolling on webapp runtime
: Enable smooth scrolling on webapp runtime
Status: VERIFIED FIXED
[qa!]
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Webapp Runtime (show other bugs)
: Trunk
: All All
: P2 normal
: Firefox 16
Assigned To: :Felipe Gomes (needinfo me!) [offline until Jun 24]
: Jason Smith [:jsmith]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 23:48 PDT by :Felipe Gomes (needinfo me!) [offline until Jun 24]
Modified: 2016-03-21 12:39 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (978 bytes, patch)
2012-06-22 23:48 PDT, :Felipe Gomes (needinfo me!) [offline until Jun 24]
myk: review+
Details | Diff | Review

Description :Felipe Gomes (needinfo me!) [offline until Jun 24] 2012-06-22 23:48:36 PDT
Created attachment 636034 [details] [diff] [review]
Patch

Smooth scrolling is not enabled in toolkit by default, the pref is only set in firefox.js. We should also set it in the runtime because it makes scrolling so much better
Comment 1 :Felipe Gomes (needinfo me!) [offline until Jun 24] 2012-06-27 17:23:32 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/fcb5936df6a8
Comment 2 Jason Smith [:jsmith] 2012-06-27 17:27:08 PDT
How would I know smooth scrolling is working? What visually stands out to a user that the feature is working?
Comment 3 :Felipe Gomes (needinfo me!) [offline until Jun 24] 2012-06-27 17:32:56 PDT
I'm testing with the Jauntly app which has a tall entry page and makes the difference in scrolling very evident.

You can toggle the pref general.smoothScroll in Firefox itself to see how it looks on webpages when off
Comment 4 Ed Morley [:emorley] 2012-06-28 01:08:32 PDT
https://hg.mozilla.org/mozilla-central/rev/fcb5936df6a8
Comment 5 Jason Smith [:jsmith] 2012-06-29 00:18:55 PDT
Verified. I think I noticed a difference in-app with scrolling vs. a pref off on firefox - in-app didn't ever feel blocky I guess when scrolling sometimes, where in firefox with pref off, there was an occasional blocky feeling.

Note You need to log in before you can comment on or make changes to this bug.